// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'   //导入store
import request from '@/request'
import tools from '@/common/tools'
import './style.css'
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import filters from './filters/index.js'
import upload from '@/common/uploadFile'
import mixin from '@/mixin/index'
import moment from "moment"
import vueEsign from 'vue-esign'
import 'moment/locale/zh-cn'

console.dir(Vue,'Vue')
Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.$request = request
Vue.prototype.$tools = tools
Vue.prototype.$upload = upload
Vue.prototype.$moment = moment

Vue.use(ElementUI);
Vue.use(vueEsign)
Vue.mixin(mixin)

Object.keys(filters).forEach(key => {
    Vue.filter(key, filters[key])
})

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
